Module ij
Package ij.plugin

# Class Raw

java.lang.Object
ij.plugin.Raw

All Implemented Interfaces:
  `PlugIn`

public class Raw extends Object implements PlugIn
This plugin implements the File/Import/Raw command.

## Constructor Summary

Constructors
Constructor
Description
`Raw()`

## Method Summary

Modifier and Type
Method
Description
`static ImagePlus`
`open(String filePath, FileInfo fi)`
Opens the image at 'filePath' using the format specified by 'fi'.
`static ImagePlus`
`openAll(String directory, FileInfo fi)`
Opens all the images in the specified directory as a stack, using the format specified by 'fi'.
`static ImagePlus`
`openAllVirtual(String directory, FileInfo fi)`
Opens all the images in the specified directory as a virtual stack, using the format specified by 'fi'.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Raw

public Raw()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### open

public static ImagePlus open(String filePath, FileInfo fi)
Opens the image at 'filePath' using the format specified by 'fi'.

### openAll

public static ImagePlus openAll(String directory, FileInfo fi)
Opens all the images in the specified directory as a stack, using the format specified by 'fi'.

### openAllVirtual

public static ImagePlus openAllVirtual(String directory, FileInfo fi)
Opens all the images in the specified directory as a virtual stack, using the format specified by 'fi'.